Bug 3841 - Compile error in statvfs.c
Compile error in statvfs.c
Product: Samba 3.0
Classification: Unclassified
Component: Build environment
x86 Linux
: P3 regression
: none
Assigned To: Tim Potter
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2006-06-16 09:48 UTC by Stephen Boyd
Modified: 2007-02-13 06:32 UTC (History)
3 users (show)

See Also:

Patch from Revision 16837 (1.35 KB, patch)
2006-07-06 12:00 UTC, Volker Lendecke
no flags Details
config & make logs (71.25 KB, application/zip)
2006-07-17 16:32 UTC, Stephen Boyd
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Boyd 2006-06-16 09:48:22 UTC
When compiling on Slackware, kernel version 2.2.13, I get the following error:

smbd/statvfs.c: In function `linux_statvfs':                                    
smbd/statvfs.c:40: incompatible types in assignment                             

I'm using 

gcc version egcs-2.91.66 19990314/Linux (egcs-1.1.2 release)
Comment 1 Gerald (Jerry) Carter 2006-07-05 13:43:53 UTC

*** This bug has been marked as a duplicate of 716 ***
Comment 2 Gerald (Jerry) Carter 2006-07-05 13:45:01 UTC
Closed by accident.
Comment 3 Volker Lendecke 2006-07-06 12:00:42 UTC
Created attachment 2020 [details]
Patch from Revision 16837

Can you try the attached patch?


Comment 4 Stephen Boyd 2006-07-07 08:25:23 UTC
Forgive my ignorance, but how do I apply this patch?
Comment 5 Volker Lendecke 2006-07-07 08:53:02 UTC
You should download the file, change to you source directory and do a 

patch -p0 <patchfile

Comment 6 Stephen Boyd 2006-07-07 09:57:54 UTC
The patch fixed the compile error, now I am getting a link error:

Linking bin/smbd                                                                
auth/auth.o: In function `load_auth_module':                                    
auth/auth.o(.text+0xd8d): undefined reference to `auth_script_init'             
collect2: ld returned 1 exit status                                             
make: *** [bin/smbd] Error 1                                                    

Comment 7 Stephen Boyd 2006-07-17 16:32:46 UTC
Created attachment 2042 [details]
config & make logs

config & make logs showing link error
Comment 8 Tvrtko A. Ursulin 2006-09-26 07:54:38 UTC
The same problem here on SUSE 7.1 (gcc 3.4.6 (custom), glibc 2.2, kernel 2.4) and the patch fixed it.
Comment 9 Gerald (Jerry) Carter 2006-09-26 08:04:13 UTC
Fixed.  The auth_script error has been fixed as well.
Comment 10 Thomas Jarosch 2007-02-13 06:27:45 UTC
I'm still seeing this issue with Samba 3.0.24. Looks like the fix didn't get applied.
Comment 11 Volker Lendecke 2007-02-13 06:32:17 UTC
3.0.24 was a tiny patch to fix 3 security problems. Nothing else went it, sorry.